> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beta.adapter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connection

> Returns a connection by ID.

<Snippet file="api/connectors/get-connection.mdx" />


## OpenAPI

````yaml GET /v1/connections/{connection_id}
openapi: 3.1.0
info:
  title: Adapter API
  description: Connect and sync data from any SaaS tool.
  version: 0.1.0
servers:
  - url: https://api.adapter.com
security:
  - ApiKeyAuth: []
tags:
  - name: connections
    description: Manage OAuth connections to data sources.
paths:
  /v1/connections/{connection_id}:
    get:
      tags:
        - connectors
      summary: Get Connection
      description: Returns a connection by ID.
      operationId: get_connection
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            title: Connection Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionOut'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationErrorModel'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionDeniedErrorModel'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionNotFoundErrorModel'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorModel'
          description: Internal Server Error
components:
  schemas:
    ConnectionOut:
      properties:
        connection_id:
          type: string
          title: Connection Id
          description: Unique identifier for the connection.
          examples:
            - conn_01abc123
        provider:
          type: string
          title: Provider
          description: Provider slug.
          examples:
            - slack
        connected_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Connected At
          description: ISO 8601 timestamp of when the connection was created.
          examples:
            - '2026-01-15T10:30:00Z'
        team_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Name
          description: Workspace or team display name from the provider.
          examples:
            - Acme Corp
        external_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Account Id
          description: Account ID assigned by the provider.
          examples:
            - T01ABC123
        resources:
          items:
            type: string
          type: array
          title: Resources
          description: Resource slugs enabled for this connection.
          examples:
            - - messages
              - files
        disabled_resources:
          items:
            type: string
          type: array
          title: Disabled Resources
          description: >-
            Resource slugs turned off for this connection — by the setup wizard,
            the filters dialog, or connect-time credential verification.
            Excluded from status displays but still configurable
            (re-enableable).
          examples:
            - - email
      type: object
      required:
        - connection_id
        - provider
        - resources
      title: ConnectionOut
    AuthenticationErrorModel:
      properties:
        error_code:
          type: string
          const: authentication_error
          title: Error Code
          default: authentication_error
        message:
          type: string
          title: Message
          default: Invalid or missing credentials.
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      title: AuthenticationErrorModel
    PermissionDeniedErrorModel:
      properties:
        error_code:
          type: string
          const: permission_denied
          title: Error Code
          default: permission_denied
        message:
          type: string
          title: Message
          default: You do not have permission to perform this action.
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      title: PermissionDeniedErrorModel
    ConnectionNotFoundErrorModel:
      properties:
        error_code:
          type: string
          const: connection_not_found
          title: Error Code
          default: connection_not_found
        message:
          type: string
          title: Message
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      required:
        - message
      title: ConnectionNotFoundErrorModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InternalServerErrorModel:
      properties:
        error_code:
          type: string
          const: internal_server_error
          title: Error Code
          default: internal_server_error
        message:
          type: string
          title: Message
          default: An unexpected error occurred.
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
      type: object
      title: InternalServerErrorModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: Pass your `pk_live_...` API key as a Bearer token.

````